Subject: Re: bug#56393: Actually fix the long lines display bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Jul 2022 15:39:43 +0300

> Date: Tue, 05 Jul 2022 23:10:12 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, 
>     Gerd Möllmann <[email-masked]>, 
>     Lars Ingebrigtsen <[email-masked]>
> 
> Auto-narrow mode is now entered only when the buffer is actually 
> displayed, which solves the problem of (with-temp-buffer 
> (insert-file-contents ...) ...) and friends.
> 
> The scroll bar and modeline now display information relative to the whole 
> buffer.
> 
> Instead of the command list in auto-narrow-widen-automatically, a symbol 
> property could also be used, which would perhaps be easier to manage for 
> users and package maintainers.  That being said, in most cases buffers 
> with very long lines will typically be opened literally, so advanced 
> editing commands will not be available anyway.
> 
> The auto-narrow-pre-command-function and auto-narrow-post-command-function 
> could perhaps be moved before pre-command-hook and after 
> post-command-hook, but even if that were the case the buffer that 
> functions in pre-command-hook and post-command-hook would see would still 
> be, in most cases, the narrowed one.

One problem I spotted with the current branch is that it's still
sluggish when commands are repeated very fast.  For example, visit the
long-line.xml file, then lean on C-n or <DOWN> arrow -- you will see
that this gets back to the very slow responses after traversing
several lines.  By contrast, pressing C-n one keystroke at a time,
even if I do that as fast as I can (say, 5 keypresses per second)
performs much faster.

The autorepeat rate on this system is about 30 per second.  And this
is an unoptimized build, in case it matters.

Thanks.